Load Balancer
Update Listener
patch
/loadbalancer/{lb_uuid}/listeners/{listener_uuid}Update a listener.
Autorización
Authorization
Authorization*string
Bearer YOUR_API_TOKEN con un token de API. También vale la cabecera X-API-Key: YOUR_API_TOKEN.
Parámetros de ruta
lb_uuid*string
listener_uuid*string
Cuerpo de la petición
Update a listener
application/jsonObligatorio
name?string | null
Rango
1 ≤ length ≤ 100target_port?integer | null
Rango
1 ≤ value ≤ 65535ssl_certificate_uuid?string | null
ssl_mode?string | null
Valores
"auto""custom""none"algorithm?LoadBalancerAlgorithm | null
Valores
"round_robin""least_connections"connection_timeout?integer | null
Rango
1 ≤ value ≤ 300request_timeout?integer | null
Rango
1 ≤ value ≤ 600sticky_sessions?boolean | null
sticky_cookie_name?string | null
Rango
length ≤ 100sticky_ttl_seconds?integer | null
Rango
60 ≤ value ≤ 86400enabled?boolean | null
Respuestas
Successful Response
application/json
detail*string
uuid*string